uk.gov.hmrc.mongo.lock

# MongoLockRepository

###
Related Doc: package lock

#### class MongoLockRepository extends PlayMongoCollection[Lock]

Annotations
  @Singleton()

Linear Supertypes
PlayMongoCollection[Lock], MongoDatabaseCollection, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. MongoLockRepository
2. PlayMongoCollection
3. MongoDatabaseCollection
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new MongoLockRepository(mongoComponent: MongoComponent, timestampSupport: TimestampSupport)(implicit ec: ExecutionContext)

   Annotations
     @Inject()

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def attemptLockWithRefreshExpiry[T](lockId: String, owner: String, ttl: Duration, body: ⇒ Future[T])(implicit ec: ExecutionContext): Future[Option[T]]

6. #### def attemptLockWithRelease[T](lockId: String, owner: String, ttl: Duration, body: ⇒ Future[T])(implicit ec: ExecutionContext): Future[Option[T]]

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### val collection: MongoCollection[Lock]

   Definition Classes
     PlayMongoCollection

9. #### val collectionName: String

   Definition Classes
     PlayMongoCollection → MongoDatabaseCollection

10. #### def createIndexes(): Future[Seq[String]]

    Definition Classes
      PlayMongoCollection

11. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

12. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

13. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

14. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

15. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

16. #### val indexes: Seq[IndexModel]

    Definition Classes
      PlayMongoCollection → MongoDatabaseCollection

17. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

18. #### def isLocked(lockId: String, owner: String): Future[Boolean]

19. #### def lock(lockId: String, owner: String, ttl: Duration): Future[Boolean]

20. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

21. #### final def notify(): Unit

    Definition Classes
      AnyRef

22. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

23. #### def refreshExpiry(lockId: String, owner: String, ttl: Duration): Future[Boolean]

24. #### def releaseLock(lockId: String, owner: String): Future[Unit]

25. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

26. #### def toService(lockId: String, ttl: Duration): MongoLockService

27. #### def toString(): String

    Definition Classes
      AnyRef → Any

28. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from PlayMongoCollection[Lock]

### Inherited from MongoDatabaseCollection

### Inherited from AnyRef

### Inherited from Any

### Ungrouped